package io.hmit.dao;

import io.hmit.common.dao.BaseDao;
import io.hmit.entity.UserEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 用户
 *
 * @author zsh 408538940@qq.com
 */
@Mapper
public interface UserDao extends BaseDao<UserEntity> {

    UserEntity getUserByMobile(String mobile);

    UserEntity getUserByUserId(Long userId);

    List<Long> getAllOrganizationStaff(Long userId);

}
